
CONST MB_Q = 32

CONST WELCOME = 100
CONST WELCOMEH = 900 ''101
CONST SIZENOTE = 110
CONST ININOTE = 113
CONST UPNOTE = 114
CONST TUTNOTE = 115
CONST FRMNOTE = 116
CONST FMANOTE = 117
CONST FLANOTE = 118
CONST FULLCUST = 120
CONST FULLCUSTH = 900 ''121
CONST NOTNEW = 130
CONST NOTNEW1 = 131
CONST NOTNEWH = 900 ''131
CONST WINNOTE = 140
CONST ASKQUIT = 200
CONST DESTPATH = 300
CONST ALLPATH = 301
CONST ALLWPATH = 302
CONST ALLFPATH = 304
CONST SECPATH = 305
CONST DESTPATHH = 900 ''301
CONST EXITFAILURE = 400
CONST EXITQUIT = 600
CONST EXITSUCCESS = 700
CONST OPTIONS = 800
CONST APPHELP = 900
CONST CUSTINST = 6200
CONST CUSTDB = 6201
CONST CUSTSEC = 6202
CONST CUSTTUT = 6203
CONST CUSTFRM = 6204
CONST CUSTFS = 6205
CONST CUSTFNT = 6206
CONST CUSTMS = 6207
CONST TOOBIG = 6300
CONST BADPATH = 6400
CONST NAMEORGSER = 6500
CONST PARAPATH = 6600

CONST LOGO = 1

GLOBAL WinMinor%
GLOBAL bInstallWinDLL%

GLOBAL SawMailScreen%
GLOBAL MailJump%

CONST  PATHOK = 1
CONST  PATHUCHANGE = 2

GLOBAL WHICHINSTALL%
GLOBAL WHICHVER%
CONST  INSTFULL = 1
CONST  INSTMIN = 2
CONST  INSTCUST = 3

GLOBAL UPDATENEW%
CONST  INSTUPDATE = 1
CONST  INSTNEW = 2

GLOBAL PRO10%
GLOBAL PROPLUS%

CONST FILEGROUPS = 4
GLOBAL FG%

CONST FILESAPP = 1
CONST FILESDB = 2
CONST FILESFONT = 3
CONST FILESMS = 4
CONST FILESSETUP = 99

CONST DBGROUPS = 2

CONST DBPDX = 1
'CONST DBPDX4 = 2
CONST DBCLPR = 2

CONST MSGROUPS = 6

CONST MSNO = 1
CONST MSMS = 2
CONST MSCC1 = 3
CONST MSMHS = 4
CONST MSCC2 = 5
CONST MSLN = 6


GLOBAL IO$
GLOBAL DEST$
GLOBAL OLDDEST$
GLOBAL WINDRIVE$
GLOBAL WINDIR$
GLOBAL SYSDIR$
GLOBAL OPTHELP$
GLOBAL OPTSETUP$

GLOBAL WININI$
GLOBAL PROINI$

GLOBAL ONAME$
GLOBAL OORG$
GLOBAL OSER$

GLOBAL SECDIR$
GLOBAL TRKDIR$
GLOBAL MLCDIR$
GLOBAL FTDIR$
GLOBAL TEMP$

GLOBAL bSECDIR%
GLOBAL bTRKDIR%
GLOBAL bMLCDIR%
GLOBAL bFTDIR%
GLOBAL bTEMP%

GLOBAL WINDISK%

GLOBAL TOBIG&

GLOBAL SPACEGRP$
GLOBAL SPACEAPP$
GLOBAL SPACEDIST$
GLOBAL SPACEDB$
GLOBAL SPACEMS$
GLOBAL SPACEFONT$
GLOBAL SPACESETUP$

GLOBAL SPACEDB1$
GLOBAL SPACEDB2$
GLOBAL SPACEDB3$

GLOBAL SPACEMS1$
GLOBAL SPACEMS2$
GLOBAL SPACEMS3$
GLOBAL SPACEMS4$
GLOBAL SPACEMS5$
GLOBAL SPACEMS6$

GLOBAL EXTRACOSTS$
GLOBAL BIGLIST$

GLOBAL CHECKSTATES$
GLOBAL STATUSTEXT$
GLOBAL DRIVETEXT$

GLOBAL DBCHECKSTATES$
GLOBAL DBSTATUSTEXT$
GLOBAL DBDRIVETEXT$

GLOBAL MSCHECKSTATES$
GLOBAL MSSTATUSTEXT$
GLOBAL MSDRIVETEXT$

GLOBAL PATHTEXT$
GLOBAL PATHSEC$
GLOBAL PATHPGM$
GLOBAL PATHWIN$
GLOBAL PATHTRK$
GLOBAL PATHMLC$
GLOBAL PARADIR$

GLOBAL SFRM$
GLOBAL STD$
GLOBAL SFS$
GLOBAL STUT$
GLOBAL SPFP$
GLOBAL SFNT$

DECLARE SUB BCInitInstall LIB "mscuistf.dll" (hInstance%, hMainWind%)
DECLARE SUB BCMaxWindow   LIB "mscuistf.dll" (hMainWind%)
DECLARE SUB BCUpdateSerial LIB "mscuistf.dll" (szfile$, szname$, szorg$, szser$)
DECLARE SUB BCMakeAdmin LIB "mscuistf.dll" (hMainWind%, szuserpath$)
DECLARE SUB BCDoRegister LIB "mscuistf.dll" (szprog$, szfsys$)
DECLARE SUB BCOLERegister LIB "mscuistf.dll" (szdir$, szpgm$)
DECLARE SUB BCPath LIB "mscuistf.dll" (szfile$, szkey$, szpath$)
DECLARE FUNCTION BCUnPackLSZ LIB "mscuistf.dll" (dest$, lb$) AS INTEGER

DECLARE SUB AddOptFilesToCopyList (ftype%)
DECLARE SUB AddDBFilesToCopyList (ftype%)
DECLARE SUB AddMSFilesToCopyList (ftype%)
DECLARE SUB RecalcOptFiles (ftype%)
DECLARE SUB RecalcDBFiles (ftype%)
DECLARE SUB RecalcMSFiles (ftype%)
DECLARE SUB RecalcPath
DECLARE SUB SetDriveStatus
DECLARE FUNCTION MakePath (szDir$, szFile$) AS STRING
DECLARE FUNCTION MakeDir (szDir$, szSub$) AS STRING
DECLARE SUB UnPackLSZ (szDir$, szFile$)
